package com.yidianling.dynamic.model;

import com.google.gson.annotations.SerializedName;
import com.ydl.ydlcommon.bean.ShareData;
import com.ydl.ydlcommon.ui.ParcelableImage;

import java.util.List;

/**
 * 动态实体类
 * Created by xiongyu on 2017/3/14.
 */

public class RecommendedTrend {
    private String trend_id;//动态id
    private String up_flag;//是否置顶
    private String user_name;//发表动态的用户名
    private String user_id;//发表动态的用户id
    private String user_head;//发表动态的用户头像
    private String user_gender;//发表动态的用户性别
    private String publish_time;//发布时间
    private String trend_title;//动态标题
    private String trend_content;//动态正文
    private String trend_topic;//动态话题
    private String read_num;//浏览数
    private String zan_num;//赞数
    private List<ParcelableImage> TrendImages;//动态图片集合
    private List<ParcelableImage> TrendBigImages;//动态图片(大图)集合
    private List<RecommendedDiscuss> TrednDiscuss;//动态评论集合
    private int DiscussNum;//评论数
    private String topic_id;//话题id
    private String trend_type;//话题type
    private String LoadMoreHint;//加载更多的提示
    private String Load_more_type;//加载更多类型
    private String souce;//动态来源
    private String is_zan;//是否赞过

    private String Ad_img;//广告item的图片
    private String jump_url;//跳转url
    private String jump_title;//跳转标题

    //---广告相关---
    @SerializedName("is_ad")
    private int isAd;
    @SerializedName("ad_img")
    private String adImg;
    private String url;
    private ShareData share;
    @SerializedName("foc_id")
    private int focId;
    //---广告相关结束---


    public int getIsAd() {
        return isAd;
    }

    public void setIsAd(int isAd) {
        this.isAd = isAd;
    }

    public String getAdImg() {
        return adImg;
    }

    public void setAdImg(String adImg) {
        this.adImg = adImg;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public ShareData getShare() {
        return share;
    }

    public void setShare(ShareData share) {
        this.share = share;
    }

    public int getFocId() {
        return focId;
    }

    public void setFocId(int focId) {
        this.focId = focId;
    }

    public RecommendedTrend() {
    }

    public String getLoad_more_type() {
        return Load_more_type;
    }

    public void setLoad_more_type(String load_more_type) {
        Load_more_type = load_more_type;
    }

    public String getLoadMoreHint() {
        return LoadMoreHint;
    }

    public void setLoadMoreHint(String loadMoreHint) {
        LoadMoreHint = loadMoreHint;
    }

    public String getAd_img() {
        return Ad_img;
    }

    public void setAd_img(String ad_img) {
        Ad_img = ad_img;
    }

    public String getJump_url() {
        return jump_url;
    }

    public void setJump_url(String jump_url) {
        this.jump_url = jump_url;
    }

    public String getJump_title() {
        return jump_title;
    }

    public void setJump_title(String jump_title) {
        this.jump_title = jump_title;
    }

    public List<ParcelableImage> getTrendBigImages() {
        return TrendBigImages;
    }

    public void setTrendBigImages(List<ParcelableImage> trendBigImages) {
        TrendBigImages = trendBigImages;
    }

    public String getIs_zan() {
        return is_zan;
    }

    public void setIs_zan(String is_zan) {
        this.is_zan = is_zan;
    }

    public int getDiscussNum() {
        return DiscussNum;
    }

    public void setDiscussNum(int discussNum) {
        DiscussNum = discussNum;
    }

    public String getSouce() {
        return souce;
    }

    public void setSouce(String souce) {
        this.souce = souce;
    }

    public String getTopic_id() {
        return topic_id;
    }

    public void setTopic_id(String topic_id) {
        this.topic_id = topic_id;
    }

    public String getTrend_type() {
        return trend_type;
    }

    public void setTrend_type(String trend_type) {
        this.trend_type = trend_type;
    }

    public void setPublish_time(String publish_time) {
        this.publish_time = publish_time;
    }

    public String getTrend_title() {
        return trend_title;
    }

    public void setTrend_title(String trend_title) {
        this.trend_title = trend_title;
    }

    public String getTrend_id() {
        return trend_id;
    }

    public void setTrend_id(String trend_id) {
        this.trend_id = trend_id;
    }

    public String getUp_flag() {
        return up_flag;
    }

    public void setUp_flag(String up_flag) {
        this.up_flag = up_flag;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public String getUser_id() {
        return user_id;
    }

    public void setUser_id(String user_id) {
        this.user_id = user_id;
    }

    public String getUser_head() {
        return user_head;
    }

    public void setUser_head(String user_head) {
        this.user_head = user_head;
    }

    public String getUser_gender() {
        return user_gender;
    }

    public void setUser_gender(String user_gender) {
        this.user_gender = user_gender;
    }

    public String getPublish_time() {
        return publish_time;
    }

    public void setPublish_time(long String) {
        this.publish_time = publish_time;
    }

    public String getTrend_content() {
        return trend_content;
    }

    public void setTrend_content(String trend_content) {
        this.trend_content = trend_content;
    }

    public String getTrend_topic() {
        return trend_topic;
    }

    public void setTrend_topic(String trend_topic) {
        this.trend_topic = trend_topic;
    }

    public String getRead_num() {
        return read_num;
    }

    public void setRead_num(String read_num) {
        this.read_num = read_num;
    }

    public String getZan_num() {
        return zan_num;
    }

    public void setZan_num(String zan_num) {
        this.zan_num = zan_num;
    }

    public List<ParcelableImage> getTrendImages() {
        return TrendImages;
    }

    public void setTrendImages(List<ParcelableImage> trendImages) {
        TrendImages = trendImages;
    }

    public List<RecommendedDiscuss> getTrednDiscuss() {
        return TrednDiscuss;
    }

    public void setTrednDiscuss(List<RecommendedDiscuss> trednDiscuss) {
        TrednDiscuss = trednDiscuss;
    }
}
